mixin cta(slice, separator)
  if separator
    hr.oblique
  .cta-wrapper
    .container
        if PrismicDOM.RichText.asText(slice.primary.cta_introduction, ctx.linkResolver).trim()
          .cta-title!= PrismicDOM.RichText.asHtml(slice.primary.cta_introduction, ctx.linkResolver)
        if slice.items.length > 0
          each cta, index in slice.items
            a.cta-btn.btn(href=PrismicDOM.Link.url(cta.cta_link, ctx.linkResolver) ,class="btn-"+cta.cta_type)
              if cta.cta_icone
                i.fa-2x.fa(class=cta.cta_icone)
              | !{PrismicDOM.RichText.asHtml(cta.cta_title, ctx.linkResolver)}

